Package org.jboss.resteasy.core

## Class ServerResponse

- java.lang.Object
- - javax.ws.rs.core.Response
  - - org.jboss.resteasy.specimpl.AbstractBuiltResponse
    - - org.jboss.resteasy.specimpl.BuiltResponse
      - - org.jboss.resteasy.core.ServerResponse

- All Implemented Interfaces:
    `AutoCloseable`

      public class ServerResponse
      extends BuiltResponse

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.specimpl.AbstractBuiltResponse

      `AbstractBuiltResponse.InputStreamWrapper<T extends BuiltResponse>`

    - ### Nested classes/interfaces inherited from class javax.ws.rs.core.Response

      `javax.ws.rs.core.Response.ResponseBuilder, javax.ws.rs.core.Response.Status, javax.ws.rs.core.Response.StatusType`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.specimpl.AbstractBuiltResponse

      `annotations, bufferedEntity, entity, entityClass, genericType, is, isClosed, metadata, processor, reason, status, streamFullyRead, streamRead`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerResponse()` |
    `ServerResponse​(Object entity, int status, Headers<Object> metadata)` |
    `ServerResponse​(BuiltResponse response)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `readEntity​(Class<T> type, Type genericType, Annotation[] anns)` |

    - ### Methods inherited from class org.jboss.resteasy.specimpl.BuiltResponse

      `bufferEntity, getEntityStream, getInputStream, readFrom, releaseConnection, releaseConnection, setInputStream`

    - ### Methods inherited from class org.jboss.resteasy.specimpl.AbstractBuiltResponse

      `abortIfClosed, addMethodAnnotations, close, getAllowedMethods, getAnnotations, getCookies, getDate, getEntity, getEntityClass, getEntityTag, getGenericType, getHeaderString, getHeaderValueProcessor, getLanguage, getLastModified, getLength, getLink, getLinkBuilder, getLinks, getLocation, getMediaType, getMetadata, getReasonPhrase, getStatus, getStatusInfo, getStringHeaders, hasEntity, hasLink, isClosed, readEntity, readEntity, readEntity, readEntity, resetEntity, setAnnotations, setEntity, setEntityClass, setGenericType, setMetadata, setReasonPhrase, setStatus, setStreamFullyRead, setStreamRead, toHeaderString`

    - ### Methods inherited from class javax.ws.rs.core.Response

      `accepted, accepted, created, fromResponse, getHeaders, noContent, notAcceptable, notModified, notModified, notModified, ok, ok, ok, ok, ok, seeOther, serverError, status, status, status, status, temporaryRedirect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerResponse

          public ServerResponse()

    - #### ServerResponse

          public ServerResponse​(Object entity,
                                int status,
                                Headers<Object> metadata)

    - #### ServerResponse

          public ServerResponse​(BuiltResponse response)

  - ### Method Detail

    - #### readEntity

          public <T> T readEntity​(Class<T> type,
                                  Type genericType,
                                  Annotation[] anns)

      Overrides:
        `readEntity` in class `BuiltResponse`